summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-electronics/iverilog/iverilog-0.9.6.ebuild')
-rw-r--r--sci-electronics/iverilog/iverilog-0.9.6.ebuild50
1 files changed, 50 insertions, 0 deletions
diff --git a/sci-electronics/iverilog/iverilog-0.9.6.ebuild b/sci-electronics/iverilog/iverilog-0.9.6.ebuild
new file mode 100644
index 00000000000..30fa882461a
--- /dev/null
+++ b/sci-electronics/iverilog/iverilog-0.9.6.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit eutils multilib
+
+DESCRIPTION="A Verilog simulation and synthesis tool"
+SRC_URI="ftp://icarus.com/pub/eda/verilog/v${PV:0:3}/verilog-${PV}.tar.gz"
+HOMEPAGE="http://iverilog.icarus.com/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc sparc x86"
+IUSE="examples"
+
+RDEPEND="app-arch/bzip2
+ sys-libs/readline
+ sys-libs/zlib"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/verilog-${PV}"
+
+src_prepare() {
+ # Fix tests
+ mkdir -p lib/ivl
+ touch lib/ivl/ivl
+ sed -i -e 's/driver\/iverilog -B./IVERILOG_ROOT="." driver\/iverilog -B./' Makefile.in || die
+
+ # Fix LDFLAGS
+ sed -i -e 's/@shared@/@shared@ $(LDFLAGS)/' {cadpli,tgt-vhdl,tgt-null,tgt-stub,tgt-vvp}/Makefile.in || die
+}
+
+src_install() {
+ emake -j1 \
+ prefix="${ED}"/usr \
+ mandir="${ED}"/usr/share/man \
+ infodir="${ED}"/usr/share/info \
+ libdir="${ED}"/usr/$(get_libdir) \
+ libdir64="${ED}"/usr/$(get_libdir) \
+ vpidir="${ED}"/usr/$(get_libdir)/ivl \
+ install
+
+ dodoc *.txt
+ if use examples ; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}